<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow.server.host">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="alias,default-response-code,default-web-module,disable-console-redirect,queue-requests-on-start"/>
        <elem name="addr-params" value="profile,subsystem,server,host"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.web.common.host.$host"/>
        <capability name="$profile.org.wildfly.undertow.host.$server.$host"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.undertow"/>
        <capability name="$profile.org.wildfly.web.common.server"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.server"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="default-web-module" nillable="true"/>
        <param name="queue-requests-on-start" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="disable-console-redirect" nillable="true"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="alias" nillable="true" type="List&lt;String&gt;"/>
        <param name="default-response-code" nillable="true"/>
    </params>
</feature-spec>